hpp-fcl: ShapeMeshDistanceTraversalNode< S, BV > Class Template Reference

hpp-fcl 1.7.7 HPP fork of FCL -- The Flexible Collision Library

Public Member Functions | Public Attributes | List of all members
ShapeMeshDistanceTraversalNode< S, BV > Class Template Reference

Traversal node for distance between shape and mesh. More...

`#include <hpp/fcl/internal/traversal_node_bvh_shape.h>`

Inheritance diagram for ShapeMeshDistanceTraversalNode< S, BV >:

## Public Member Functions
| ShapeMeshDistanceTraversalNode ()
void | leafComputeDistance (int, int b2) const
| Distance testing between leaves (one shape and one triangle) More...
bool | canStop (FCL_REAL c) const
| Whether the traversal process can stop early. More...

## Public Attributes
Vec3f * | vertices
Triangle * | tri_indices
FCL_REAL | rel_err
FCL_REAL | abs_err
const GJKSolver * | nsolver

## Detailed Description

### template<typename S, typename BV>
class ShapeMeshDistanceTraversalNode< S, BV >

Traversal node for distance between shape and mesh.

## Constructor & Destructor Documentation

## ◆ ShapeMeshDistanceTraversalNode()

template<typename S , typename BV >

ShapeMeshDistanceTraversalNode< S, BV >::ShapeMeshDistanceTraversalNode | ( |  | ) |
| inline

## Member Function Documentation

## ◆ canStop()

template<typename S , typename BV >

bool ShapeMeshDistanceTraversalNode< S, BV >::canStop | ( | FCL_REAL | c | ) | const
| inline

Whether the traversal process can stop early.

## ◆ leafComputeDistance()

template<typename S , typename BV >

void ShapeMeshDistanceTraversalNode< S, BV >::leafComputeDistance | ( | int | ,
|  | int | b2
| ) |  | const
| inline

Distance testing between leaves (one shape and one triangle)

## Member Data Documentation

## ◆ abs_err

template<typename S , typename BV >

FCL_REAL ShapeMeshDistanceTraversalNode< S, BV >::abs_err

## ◆ nsolver

template<typename S , typename BV >

const GJKSolver* ShapeMeshDistanceTraversalNode< S, BV >::nsolver

## ◆ rel_err

template<typename S , typename BV >

FCL_REAL ShapeMeshDistanceTraversalNode< S, BV >::rel_err

## ◆ tri_indices

template<typename S , typename BV >

Triangle* ShapeMeshDistanceTraversalNode< S, BV >::tri_indices

## ◆ vertices

template<typename S , typename BV >

Vec3f* ShapeMeshDistanceTraversalNode< S, BV >::vertices

The documentation for this class was generated from the following file:

- include/hpp/fcl/internal/traversal_node_bvh_shape.h